Debian Bug report logs - #704754
release-notes: [wheezy] mention AppArmor support

Package: release-notes; Maintainer for release-notes is Debian Documentation Team <debian-doc@lists.debian.org>;

Reported by: intrigeri@debian.org

Date: Fri, 5 Apr 2013 13:39:06 UTC

Severity: normal

Tags: patch, wheezy

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#704754; Package release-notes. (Fri, 05 Apr 2013 13:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri@debian.org:
New Bug report received and forwarded. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Fri, 05 Apr 2013 13:39:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: intrigeri@debian.org
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: release-notes: [wheezy] mention AppArmor support
Date: Fri, 05 Apr 2013 15:35:49 +0200
Package: release-notes
Severity: normal

Hi,

I intend to start working today on a paragraph about Wheezy bringing
(optional) AppArmor support. I guess it will fit nicely just after the
current "2.2.3. Hardened security".

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#704754; Package release-notes. (Fri, 05 Apr 2013 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Fri, 05 Apr 2013 15:45:04 GMT) Full text and rfc822 format available.

Message #10 received at 704754@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: 704754@bugs.debian.org
Subject: Re: Bug#704754: release-notes: [wheezy] mention AppArmor support
Date: Fri, 05 Apr 2013 17:43:40 +0200
[Message part 1 (text/plain, inline)]
Control: tag -1 + patch

Hi,

intrigeri@debian.org wrote (05 Apr 2013 13:35:49 GMT) :
> I intend to start working today on a paragraph about Wheezy bringing
> (optional) AppArmor support.

Please review the attached patch.

About pointing to wiki.d.o: I'm aware this is frown upon by the www
team for good reasons, but I feel this case is special (they all say
it, right?). Given the AppArmor support is quite minimal (not enabled
by default, very few profiles shipped by packages) in Wheezy, I won't
spend time writing detailed documentation for it *now*. So, I've just
reorganized the AppArmor -related wiki pages to be an acceptable
temporary landing place for end-users. If AppArmor is better supported
in Jessie (which I intend to work on), then we should have dedicated
documentation in a place and format that's nicer for translators.

About sections: I wonder whether it would be better to have an
"Improved security" section, with "Hardened programs" (current
hardening section) and "AppArmor" as sub-section thereof. Thoughts?

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc

[0001-Add-AppArmor-section-to-the-Release-Notes.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from intrigeri <intrigeri@debian.org> to 704754-submit@bugs.debian.org. (Fri, 05 Apr 2013 15:45:04 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from intrigeri <intrigeri@debian.org> to control@bugs.debian.org. (Fri, 12 Apr 2013 07:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#704754; Package release-notes. (Wed, 01 May 2013 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Wed, 01 May 2013 09:39:04 GMT) Full text and rfc822 format available.

Message #19 received at 704754@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: 704754@bugs.debian.org
Subject: Re: Bug#704754: release-notes: [wheezy] mention AppArmor support
Date: Wed, 01 May 2013 11:35:41 +0200
Hi,

intrigeri wrote (05 Apr 2013 15:43:40 GMT) :
> Please review the attached patch.

FWIW, I've just verified this patch still applies cleanly on top of
current SVN. Is there anything else I can do to increase the chances
this gets mentioned in the release notes?

Thanks for your work.

Cheers,
--
  intrigeri
  | GnuPG key @ https://gaffer.ptitcanardnoir.org/intrigeri/intrigeri.asc
  | OTR fingerprint @ https://gaffer.ptitcanardnoir.org/intrigeri/otr.asc



Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Wed, 01 May 2013 09:51:05 GMT) Full text and rfc822 format available.

Notification sent to intrigeri@debian.org:
Bug acknowledged by developer. (Wed, 01 May 2013 09:51:05 GMT) Full text and rfc822 format available.

Message #24 received at 704754-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: intrigeri <intrigeri@debian.org>, 704754-done@bugs.debian.org
Subject: Re: Bug#704754: release-notes: [wheezy] mention AppArmor support
Date: Wed, 1 May 2013 11:49:17 +0200
[Message part 1 (text/plain, inline)]
On Wed, May  1, 2013 at 11:35:41 +0200, intrigeri wrote:

> Hi,
> 
> intrigeri wrote (05 Apr 2013 15:43:40 GMT) :
> > Please review the attached patch.
> 
> FWIW, I've just verified this patch still applies cleanly on top of
> current SVN. Is there anything else I can do to increase the chances
> this gets mentioned in the release notes?
> 
Applied in r9841, sorry for the delay, and thanks for the patch!

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 May 2013 07:29:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:24:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.